Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.html
Class OrdURLBuilder

`java.lang.Object
oracle.ord.html.OrdURLBuilder`

public class OrdURLBuilder
extends java.lang.Object

Generates an URL string that retrieves the media content referenced by the interMedia Business Component for Java (BC4J) domain objects.

The URL string can be used as the value for the HTML IMAGE(<IMG>) tag's SRC attribute or in HTML ANCHOR(<A>) tag's HREF attribute. Users can also use the URL string to construct HTML EMBED(<EMBED>) or OBJECT(<OBJECT >) tags to render multimedia content in the browser.

This class is used by `OrdBuildURLRenderer` class and interMedia BC4J Data Tags, such as <jbo:MediaUrl>, to generate the media fetching URL.

The [mediaFetchingURL] has the following format:

[retrievepath]?appModId=[appModId]&viewObjectName=[viewObjectFullName] &contentCol=[mediaAttributeName]&rowKey=[rowKeyString]&amConfig= [appModuleConfigName]

By default, the [retrievepath] is a pre-supplied JSP page called ordDeliverMedia. Users are allowed to provide their own custom retrieve path.

By using this utility class, users can write their own HTML display renderer class to create customized HTML tag strings for the interMedia domain classes.

Since:
  JDev5.0
See Also:
  `OrdBuildURLRenderer`, "interMedia BC4J Data Tags"

Constructor Summary
`OrdURLBuilder(oracle.jbo.html.DataSource dataSource, oracle.jbo.Row row, java.lang.String attribute)` Constructs an `OrdURLBuilder` instance.
`OrdURLBuilder(oracle.jbo.html.DataSource dataSource, oracle.jbo.Row row, java.lang.String attribute, java.lang.String retrievePath)` Constructs an `OrdURLBuilder` instance.
`OrdURLBuilder(oracle.jbo.html.DataSource dataSource, oracle.jbo.Row row, java.lang.String attribute, java.lang.String retrievePath, java.lang.String amConfig)` Constructs an `OrdURLBuilder` instance.
`OrdURLBuilder(java.lang.String appId, java.lang.String viewObjectName, oracle.jbo.Row row, java.lang.String attribute, java.lang.String retrievePath, java.lang.String amConfig)` Constructs an `OrdURLBuilder` instance.

Method Summary
`int` | `getContentLength()` Returns the content length of the interMedia domain object.
`int` | `getHeight()` Returns the height attribute if the domain object is an `OrdImageDomain` or `OrdVideoDomain` object.
`java.lang.String` | `getMimeType()` Returns the MIMETYPE of the interMedia domain object.
`java.lang.Object` | `getOrdDomainObject()` Returns the interMedia domain object contained by the given attribute name in the given row.
`java.lang.String` | `getOrdDomainURL()` Returns the URL string that retrieves the multimedia content stored in the interMedia object.
`int` | `getWidth()` Returns the width attribute if the domain object is an `OrdImageDomain` or `OrdVideoDomain` object.
`void` | `setContext(java.lang.Object context)` Internal: Applications should not use this method. This method will be deprecated in the next release.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrdURLBuilder

    public OrdURLBuilder(oracle.jbo.html.DataSource dataSource,
                         oracle.jbo.Row row,
                         java.lang.String attribute)

  Constructs an `OrdURLBuilder` instance. The generated URL uses the default retrieve path, ordDeliverMedia.
Parameters:
  `dataSource` - the object that contains data binding information used by the HTML renderer to access the domain object
  `row` - the row which contains the interMedia domain object
  `attribute` - the attribute for which to build the URL

### OrdURLBuilder

    public OrdURLBuilder(oracle.jbo.html.DataSource dataSource,
                         oracle.jbo.Row row,
                         java.lang.String attribute,
                         java.lang.String retrievePath)

  Constructs an `OrdURLBuilder` instance. The generated URL uses the user supplied retrievePath.
Parameters:
  `dataSource` - the object that contains data binding information used by the HTML renderer to access the domain object
  `row` - the row which contains the interMedia domain object
  `attribute` - the attribute for which to build the URL
  `retrievePath` - the custom retrieve path

### OrdURLBuilder

    public OrdURLBuilder(oracle.jbo.html.DataSource dataSource,
                         oracle.jbo.Row row,
                         java.lang.String attribute,
                         java.lang.String retrievePath,
                         java.lang.String amConfig)

  Constructs an `OrdURLBuilder` instance. The generated URL uses the user supplied retrievePath.
Parameters:
  `dataSource` - the object that contains data binding information used by the HTML renderer to access the domain object
  `row` - the row which contains the interMedia domain object
  `attribute` - the attribute for which to build the URL
  `retrievePath` - the custom retrieve path
  `amConfig` - the application module configuration name

### OrdURLBuilder

    public OrdURLBuilder(java.lang.String appId,
                         java.lang.String viewObjectName,
                         oracle.jbo.Row row,
                         java.lang.String attribute,
                         java.lang.String retrievePath,
                         java.lang.String amConfig)

  Constructs an `OrdURLBuilder` instance. The generated URL uses the user supplied retrievePath.
Parameters:
  `appId` - the application id
  `viewObjectName` - the name of the ViewObject that contains the interMedia domain object
  `row` - the row which contains the interMedia domain object
  `attribute` - the attribute for which to build the URL
  `retrievePath` - the custom retrieve path
  `amConfig` - the application module configuration name

Method Detail

### getOrdDomainObject

    public java.lang.Object getOrdDomainObject()

  Returns the interMedia domain object contained by the given attribute name in the given row. Returns `null` if there is no domain object in the row.
  Returns:
    the interMedia domain object contained by the given attribute name in the given row

### getContentLength

    public int getContentLength()

  Returns the content length of the interMedia domain object. If the domain object is `null`, it returns 0. If the domain object contains `OrdContentSource` object, it returns the length of the `OrdContentSource` object.
  Returns:
    the content length of the interMedia domain object
  See Also:
    `OrdDomainIOInterface.getContentLength()`, `OrdContentSource.getContentLength()`

### getOrdDomainURL

    public java.lang.String getOrdDomainURL()

  Returns the URL string that retrieves the multimedia content stored in the interMedia object.

  The generated URL has the following format:

  [retrievepath]?appModId=[appModId]&viewObjectName= [viewObjectFullName]& contentCol=[mediaAttributeName]&rowKey=[rowKeyString]&[amConfig= [appModConfigName]]

  By default, the [retrievepath] is a pre-supplied Java Servlet ordDeliverMedia. Users are allowed to provide their own custom retrieve path.

  Returns:
    the URL string
  See Also:
    `OrdURLBuilder(DataSource, Row, String, String)`

### getWidth

    public int getWidth()

  Returns the width attribute if the domain object is an `OrdImageDomain` or `OrdVideoDomain` object. Otherwise, it returns -1.
  Returns:
    the width attribute of the interMedia ORDIMAGE or ORDVIDEO object

### getHeight

    public int getHeight()

  Returns the height attribute if the domain object is an `OrdImageDomain` or `OrdVideoDomain` object. Otherwise, it returns -1.
  Returns:
    the height attribute of the interMedia ORDIMAGE or ORDVIDEO object

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIMETYPE of the interMedia domain object.
  Returns:
    the MIMETYPE of the interMedia domain object

### setContext

    public void setContext(java.lang.Object context)

  Internal: Applications should not use this method. This method will be deprecated in the next release.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001,2005, Oracle. All Rights Reserved.